Package weka.core

# Class ClassloaderUtil

java.lang.Object
weka.core.ClassloaderUtil

All Implemented Interfaces:
  `RevisionHandler`

public class ClassloaderUtil extends Object implements RevisionHandler
Utility class that can add jar files to the classpath dynamically.

Version:
  $Revision: 5562 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}org

## Constructor Summary

Constructors
Constructor
Description
`ClassloaderUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addFile(File f)`
Add file to CLASSPATH
`static void`
`addFile(String s)`
Add file to CLASSPATH
`static void`
`addURL(URL u)`
Add URL to CLASSPATH
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassloaderUtil

public ClassloaderUtil()

## Method Details

### addFile

public static void addFile(String s) throws IOException
Add file to CLASSPATH

Parameters:
  `s` - File name
Throws:
  `IOException` - if something goes wrong when adding a file

### addFile

public static void addFile(File f) throws IOException
Add file to CLASSPATH

Parameters:
  `f` - File object
Throws:
  `IOException` - if something goes wrong when adding a file

### addURL

public static void addURL(URL u) throws IOException
Add URL to CLASSPATH

Parameters:
  `u` - URL
Throws:
  `IOException` - if something goes wrong when adding a url

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision